API ReferenceS-CWT Google Pass templates
Retrieve all Google Pass templates
GET
/v2/credentials/compact-semantic/digital-pass/google/templatesRetrieves a list of all Google Pass templates available on your tenant.
Roles
adminissuermanaged-issuer
Analytics Events
CREDENTIAL_COMPACT_SEMANTIC_GOOGLE_PASS_TEMPLATE_RETRIEVE_LIST_STARTCREDENTIAL_COMPACT_SEMANTIC_GOOGLE_PASS_TEMPLATE_RETRIEVE_LIST_SUCCESSCREDENTIAL_COMPACT_SEMANTIC_GOOGLE_PASS_TEMPLATE_RETRIEVE_LIST_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
limit?number
Range size of returned list.
Range
1 <= value <= 1000Default
100cursor?string
Starting point for the list of entries.
Response Body
application/json
application/json
curl -X GET "https://example.com/v2/credentials/compact-semantic/digital-pass/google/templates"{ "nextCursor": "string", "data": [ { "id": "string", "passType": "apple", "name": "string", "metadata": { "issuerId": "string", "serviceAccountClientEmail": "string", "payPassId": "string" } } ]}How would you rate this page?
Create a Google Pass template POST
Creates a Google Pass template based on the provided `.zip` file. Refer to our [Design a Google Pass template](https://learn.mattr.global/docs/issuance/cwt-credential-templates/google-templates) guide for more information on how to design the template and how to structure the `.zip` file.
Retrieve a Google Pass template GET
Retrieves an existing Google Pass template by providing its ID.